/**
 * @private
 * Check if Node is installed, up to date, and in LTS version.
 * Will emit a warning if the current node version is too old compared to the required one or if it is not in LTS.
 * @param {any} logger - the logging adapter
 * @param {string} requiredNodeVersion - the version needed to run the generator (defaulted to the one mentionned in package.json)
 * @param {string} currentNodeVersion - the version of Node installed on the machine (defaulted to the one running the generator)
 */
declare const checkNode: (logger: any, requiredNodeVersion?: any, currentNodeVersion?: string) => void;
export default checkNode;
