/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const CUSTOM_PRIORITIES: {
    priorityName: string;
    queueName: string;
    before: string;
    skip: boolean;
}[];
export declare const ENTITY_PRIORITY_NAMES: {
    CONFIGURING_EACH_ENTITY: string;
    LOADING_ENTITIES: string;
    PREPARING_EACH_ENTITY: string;
    PREPARING_EACH_ENTITY_FIELD: string;
    PREPARING_EACH_ENTITY_RELATIONSHIP: string;
    POST_PREPARING_EACH_ENTITY: string;
    WRITING_ENTITIES: string;
    POST_WRITING_ENTITIES: string;
};
export declare const PRIORITY_NAMES: {
    CONFIGURING_EACH_ENTITY: string;
    LOADING_ENTITIES: string;
    PREPARING_EACH_ENTITY: string;
    PREPARING_EACH_ENTITY_FIELD: string;
    PREPARING_EACH_ENTITY_RELATIONSHIP: string;
    POST_PREPARING_EACH_ENTITY: string;
    WRITING_ENTITIES: string;
    POST_WRITING_ENTITIES: string;
    INITIALIZING: string;
    PROMPTING: string;
    CONFIGURING: string;
    COMPOSING: string;
    COMPOSING_COMPONENT: string;
    LOADING: string;
    PREPARING: string;
    POST_PREPARING: string;
    DEFAULT: string;
    WRITING: string;
    MULTISTEP_TRANSFORM: string;
    POST_WRITING: string;
    TRANSFORM: string;
    PRE_CONFLICTS: string;
    INSTALL: string;
    POST_INSTALL: string;
    END: string;
};
export declare const QUEUES: {
    CONFIGURING_EACH_ENTITY_QUEUE: string;
    LOADING_ENTITIES_QUEUE: string;
    PREPARING_EACH_ENTITY_QUEUE: string;
    PREPARING_EACH_ENTITY_FIELD_QUEUE: string;
    PREPARING_EACH_ENTITY_RELATIONSHIP_QUEUE: string;
    POST_PREPARING_EACH_ENTITY_QUEUE: string;
    WRITING_ENTITIES_QUEUE: string;
    POST_WRITING_ENTITIES_QUEUE: string;
    LOADING_TRANSLATIONS_QUEUE: string;
    INITIALIZING_QUEUE: string;
    PROMPTING_QUEUE: string;
    CONFIGURING_QUEUE: string;
    COMPOSING_QUEUE: string;
    COMPOSING_COMPONENT_QUEUE: string;
    LOADING_QUEUE: string;
    PREPARING_QUEUE: string;
    POST_PREPARING_QUEUE: string;
    DEFAULT_QUEUE: string;
    WRITING_QUEUE: string;
    MULTISTEP_TRANSFORM_QUEUE: string;
    POST_WRITING_QUEUE: string;
    TRANSFORM_QUEUE: string;
    PRE_CONFLICTS_QUEUE: string;
    INSTALL_QUEUE: string;
    POST_INSTALL_QUEUE: string;
    END_QUEUE: string;
};
export declare const PRIORITY_NAMES_LIST: string[];
