import GeneratorBaseApplication from '../base-application/index.js';
import type { TaskTypes as ApplicationTaskTypes } from '../../lib/types/application/tasks.js';
import type { ApplicationType } from '../../lib/types/application/application.js';
import type { Entity } from '../../lib/types/application/entity.js';
import type { BaseChangelog } from './types.js';
type TaskTypes<E, A> = ApplicationTaskTypes<E, A> & {
    DefaultTaskParam: {
        entityChanges?: BaseChangelog[];
    };
    WritingEntitiesTaskParam: {
        entityChanges?: BaseChangelog[];
    };
    PostWritingEntitiesTaskParam: {
        entityChanges?: BaseChangelog[];
    };
};
/**
 * This is the base class for a generator for every generator.
 */
export default abstract class GeneratorBaseEntityChanges<E extends Entity = Entity, A extends ApplicationType<E> = ApplicationType<E>> extends GeneratorBaseApplication<E, A, TaskTypes<E, A>> {
    recreateInitialChangelog: boolean;
    private entityChanges;
    abstract isChangelogNew({ entityName, changelogDate }: {
        entityName: any;
        changelogDate: any;
    }): boolean;
    protected getTaskFirstArgForPriority(priorityName: any): any;
    /**
     * Generate changelog from differences between the liquibase entity and current entity.
     */
    protected generateIncrementalChanges(): BaseChangelog[];
    private hasAnyDefaultValue;
    private doDefaultValuesDiffer;
}
export {};
