/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const PRIORITY_PREFIX = ">";
export declare const QUEUE_PREFIX = "jhipster:";
/**
 * Custom priorities to improve jhipster workflow.
 */
export declare const CUSTOM_PRIORITIES: ({
    priorityName: string;
    args: (generator: any) => any;
    edit: boolean;
    queueName?: undefined;
    before?: undefined;
} | {
    priorityName: string;
    queueName: string;
    before: string;
    args: (generator: any) => any;
    edit?: undefined;
} | {
    priorityName: string;
    queueName: string;
    before: string;
    args?: undefined;
    edit?: undefined;
})[];
export declare const PRIORITY_NAMES: {
    INITIALIZING: string;
    PROMPTING: string;
    CONFIGURING: string;
    COMPOSING: string;
    COMPOSING_COMPONENT: string;
    LOADING: string;
    PREPARING: string;
    POST_PREPARING: string;
    DEFAULT: string;
    WRITING: string;
    MULTISTEP_TRANSFORM: string;
    POST_WRITING: string;
    TRANSFORM: string;
    PRE_CONFLICTS: string;
    INSTALL: string;
    POST_INSTALL: string;
    END: string;
};
export declare const PRIORITY_NAMES_LIST: string[];
export declare const QUEUES: {
    INITIALIZING_QUEUE: string;
    PROMPTING_QUEUE: string;
    CONFIGURING_QUEUE: string;
    COMPOSING_QUEUE: string;
    COMPOSING_COMPONENT_QUEUE: string;
    LOADING_QUEUE: string;
    PREPARING_QUEUE: string;
    POST_PREPARING_QUEUE: string;
    DEFAULT_QUEUE: string;
    WRITING_QUEUE: string;
    MULTISTEP_TRANSFORM_QUEUE: string;
    POST_WRITING_QUEUE: string;
    TRANSFORM_QUEUE: string;
    PRE_CONFLICTS_QUEUE: string;
    INSTALL_QUEUE: string;
    POST_INSTALL_QUEUE: string;
    END_QUEUE: string;
};
