declare const command: {
    readonly options: {
        readonly baseName: {
            readonly description: "Application base name";
            readonly type: StringConstructor;
            readonly scope: "storage";
        };
        readonly skipJhipsterDependencies: {
            readonly description: "Don't write jhipster dependencies to package.json.";
            readonly type: BooleanConstructor;
            readonly env: "JHI_SKIP_JHIPSTER_DEPENDENCIES";
            readonly scope: "storage";
        };
        readonly creationTimestamp: {
            readonly description: "Project creation timestamp (used for reproducible builds)";
            readonly type: (creationTimestampOption: string) => number | undefined;
            readonly scope: "storage";
        };
    };
    readonly configs: {
        readonly jdlStore: {
            readonly description: "JDL store";
            readonly cli: {
                readonly type: StringConstructor;
            };
            readonly scope: "storage";
        };
    };
};
export default command;
