/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { PromptSpec } from '../../../../lib/command/index.js';
declare const command: {
    readonly options: {
        readonly withGeneratedFlag: {
            readonly description: "Add a GeneratedByJHipster annotation to all generated java classes and interfaces";
            readonly type: BooleanConstructor;
            readonly scope: "storage";
        };
        readonly packageInfoFile: {
            readonly description: "write package-info.java file for every package";
            readonly type: BooleanConstructor;
            readonly default: true;
            readonly scope: "generator";
            readonly hide: true;
        };
    };
    readonly configs: {
        readonly packageName: {
            readonly cli: {
                readonly type: StringConstructor;
            };
            readonly prompt: (gen: any) => PromptSpec;
            readonly scope: "storage";
            readonly description: "The package name for the generated application";
        };
        readonly packageFolder: {
            readonly cli: {
                readonly type: StringConstructor;
                readonly hide: true;
            };
            readonly scope: "storage";
        };
    };
    readonly import: readonly [];
};
export default command;
