import { buildToolTypes } from '../../../../lib/jhipster/index.js';
import { GENERATOR_GRADLE, GENERATOR_MAVEN } from '../../../generator-list.js';
const { GRADLE, MAVEN } = buildToolTypes;
const command = {
    options: {},
    configs: {
        buildTool: {
            cli: {
                name: 'build',
                type: String,
            },
            prompt: {
                type: 'list',
                message: 'Would you like to use Maven or Gradle for building the backend?',
            },
            choices: [
                { name: 'Maven', value: MAVEN },
                { name: 'Gradle', value: GRADLE },
            ],
            default: MAVEN,
            description: 'Provide build tool for the application when skipping server side generation',
            scope: 'storage',
        },
    },
    import: [GENERATOR_GRADLE, GENERATOR_MAVEN],
};
export default command;
