declare const command: {
    readonly arguments: {
        readonly jdlFiles: {
            readonly type: ArrayConstructor;
        };
    };
    readonly options: {
        readonly entrypointGenerator: {
            readonly description: "Entrypoint generator to be used";
            readonly type: StringConstructor;
            readonly scope: "generator";
            readonly hide: true;
        };
        readonly interactive: {
            readonly description: "Generate multiple applications in series so that questions can be interacted with. This is the default when there is an existing application configuration in any of the folders";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
        readonly jsonOnly: {
            readonly description: "Generate only the JSON files and skip entity regeneration";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
        readonly ignoreApplication: {
            readonly description: "Ignores application generation";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
        readonly ignoreDeployments: {
            readonly description: "Ignores deployments generation";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
        readonly skipSampleRepository: {
            readonly description: "Disable fetching sample files when the file is not a URL";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
        readonly inline: {
            readonly description: "Pass JDL content inline. Argument can be skipped when passing this";
            readonly type: StringConstructor;
            readonly scope: "generator";
            readonly env: "JHI_JDL";
        };
        readonly skipUserManagement: {
            readonly description: "Skip the user management module during app generation";
            readonly type: BooleanConstructor;
            readonly scope: "generator";
        };
    };
    readonly import: readonly ["workspaces"];
};
export default command;
