import { XMLBuilder, XMLParser } from 'fast-xml-parser';
import { defaultXmlBuildOptions, defaultXmlParserOptions } from '../internal/xml-store.js';
import { formatPomFirstLevel, sortPomProject } from '../internal/pom-sort.js';
export const sortPomFile = (pomFile, { xmlParserOptions, xmlBuildOptions } = {}) => {
    const parser = new XMLParser({ ...defaultXmlParserOptions, ...xmlParserOptions });
    const pomObject = parser.parse(pomFile);
    pomObject.project = sortPomProject(pomObject.project);
    const builder = new XMLBuilder({ ...defaultXmlBuildOptions, ...xmlBuildOptions });
    return formatPomFirstLevel(builder.build(pomObject));
};
