import type CoreGenerator from '../../base-core/index.js';
export type ApplicationPropertiesNeedles = {
    property?: string;
    propertyGetter?: string;
    propertyClass?: string;
};
/**
 * Insert content into ApplicationProperties class
 * @example
 * insertContentIntoApplicationProperties.call(generator, application, {
 *   property: 'private final bar = new Bar();',
 *   proppertyGetter: `
 * public getBar() {
 *     return bar;
 * }`,
 *   propertyClass: `
 * public static class Async {
 *     private String foo = "default";
 * }`,
 * })
 * @example
 * generator.editFile(
 *   'ApplicationProperties.java',
 *   insertContentIntoApplicationProperties({
 *     property: 'private final bar = new Bar();',
 *     propertyGetter: `
 * public getBar() {
 *     return bar;
 * }`,
 *     propertyClass: `
 * public static class Async {
 *     private String foo = "default";
 * }`,
 *   });
 * );
 */
export declare function insertContentIntoApplicationProperties(needles: ApplicationPropertiesNeedles): any;
export declare function insertContentIntoApplicationProperties(this: CoreGenerator, application: {
    javaPackageSrcDir: string;
}, needles: ApplicationPropertiesNeedles): any;
