/**
 * Returns the java value generator for the given primaryKey type
 */
export declare const getJavaValueGeneratorForType: (type: any) => "UUID.randomUUID().toString()" | "UUID.randomUUID()" | "intCount.incrementAndGet()" | "longCount.incrementAndGet()";
/**
 * @private
 * Returns the primary key value based on the primary key type, DB and default value
 *
 * @param {string} primaryKey - the primary key type
 * @param {string} databaseType - the database type
 * @param {number} defaultValue - default value
 * @returns {string} java primary key value
 */
export declare const getPrimaryKeyValue: (primaryKey: any, databaseType: any, defaultValue?: number) => string;
