import JDLObject from '../../core/models/jdl-object.js';
import type { JDLRuntime } from '../../core/types/runtime.js';
import type { ParsedJDLRoot } from '../../core/types/parsed.js';
/**
 * Converts the intermediate parsedContent to a JDLObject from a configuration object.
 * @param {Object} configurationObject - The configuration object.
 * @param {Object} configurationObject.document - Deprecated set parsedContent instead, the parsed JDL content
 * @param {Object} configurationObject.parsedContent - The parsed JDL content
 * @param {String} configurationObject.applicationType - The application's type
 * @param {String} configurationObject.applicationName - The application's name
 * @param {String} configurationObject.databaseType - The application's database type
 * @return the built JDL object.
 */
export declare function parseFromConfigurationObject(configurationObject: ParsedJDLRoot, runtime: JDLRuntime): JDLObject;
declare const _default: {
    parseFromConfigurationObject: typeof parseFromConfigurationObject;
};
export default _default;
