import type { YoRcContent } from '../types/application/yo-rc.js';
import type { Entity } from '../types/base/entity.js';
export declare const YO_RC_CONFIG_KEY = "generator-jhipster";
export declare const YO_RC_FILE = ".yo-rc.json";
export declare const mergeYoRcContent: <const Content = {
    jhipsterVersion?: string | undefined;
    baseName: string;
    creationTimestamp?: number | undefined;
    lastLiquibaseTimestamp?: number | undefined;
    blueprints?: {
        name: string;
    }[] | undefined;
    testFrameworks?: string[] | undefined;
    microfrontends?: {
        baseName: string;
    }[] | undefined;
    skipClient?: boolean | undefined;
    skipServer?: boolean | undefined;
    jhiPrefix?: string | undefined;
    entitySuffix?: string | undefined;
    dtoSuffix?: string | undefined;
    pkType?: string | undefined;
    clientPackageManager?: string | undefined;
    jdlStore?: string | undefined;
    skipJhipsterDependencies?: boolean | undefined;
    clientFramework?: "no" | "angular" | "react" | "vue" | undefined;
    clientTheme?: string | undefined;
    clientThemeVariant?: string | undefined;
    clientBundler?: "webpack" | "vite" | undefined;
    microfrontend?: boolean | undefined;
    clientTestFrameworks?: "cypress" | undefined;
    withAdminUi?: boolean | undefined;
    clientRootDir?: string | undefined;
    monorepository?: boolean | undefined;
    packageName?: string | undefined;
    packageFolder?: string | undefined;
    withGeneratedFlag?: boolean | undefined;
    buildTool?: string | undefined;
    packageJsonNodeEngine?: unknown;
    packageJsonType?: "commonjs" | "module" | undefined;
    prettierTabWidth?: number | undefined;
    languages?: unknown[] | undefined;
    enableTranslation?: boolean | undefined;
    nativeLanguage?: string | undefined;
    incrementalChangelog?: boolean | undefined;
    skipFakeData?: boolean | undefined;
    applicationType?: "monolith" | "microservice" | "gateway" | undefined;
    skipUserManagement?: boolean | undefined;
    cacheProvider?: string | undefined;
    enableSwaggerCodegen?: boolean | undefined;
    enableHibernateCache?: boolean | undefined;
    searchEngine?: string | undefined;
    skipCheckLengthOfIdentifier?: boolean | undefined;
    websocket?: string | undefined;
    reactive?: boolean | undefined;
    serverPort?: unknown;
    serviceDiscoveryType?: "no" | "eureka" | "consul" | undefined;
    jwtSecretKey?: string | undefined;
    authenticationType?: "session" | "jwt" | "oauth2" | undefined;
    feignClient?: boolean | undefined;
    syncUserWithIdp?: boolean | undefined;
    defaultPackaging?: "jar" | "war" | undefined;
    databaseType?: "sql" | "mongodb" | "cassandra" | "couchbase" | "neo4j" | "no" | undefined;
    messageBroker?: "no" | "kafka" | "pulsar" | undefined;
    databaseMigration?: "liquibase" | undefined;
    graalvmSupport?: boolean | undefined;
    routes?: unknown[] | undefined;
    prodDatabaseType?: "mysql" | "mariadb" | "postgresql" | "mssql" | "oracle" | undefined;
    devDatabaseType?: string | undefined;
}>(oldConfig: YoRcContent<Content>, newConfig: YoRcContent<Content>) => YoRcContent<Content>;
export declare const readEntityFile: <Content = Entity>(applicationPath: string, entity: string) => Content;
export declare const readYoRcFile: <Content = {
    jhipsterVersion?: string | undefined;
    baseName: string;
    creationTimestamp?: number | undefined;
    lastLiquibaseTimestamp?: number | undefined;
    blueprints?: {
        name: string;
    }[] | undefined;
    testFrameworks?: string[] | undefined;
    microfrontends?: {
        baseName: string;
    }[] | undefined;
    skipClient?: boolean | undefined;
    skipServer?: boolean | undefined;
    jhiPrefix?: string | undefined;
    entitySuffix?: string | undefined;
    dtoSuffix?: string | undefined;
    pkType?: string | undefined;
    clientPackageManager?: string | undefined;
    jdlStore?: string | undefined;
    skipJhipsterDependencies?: boolean | undefined;
    clientFramework?: "no" | "angular" | "react" | "vue" | undefined;
    clientTheme?: string | undefined;
    clientThemeVariant?: string | undefined;
    clientBundler?: "webpack" | "vite" | undefined;
    microfrontend?: boolean | undefined;
    clientTestFrameworks?: "cypress" | undefined;
    withAdminUi?: boolean | undefined;
    clientRootDir?: string | undefined;
    monorepository?: boolean | undefined;
    packageName?: string | undefined;
    packageFolder?: string | undefined;
    withGeneratedFlag?: boolean | undefined;
    buildTool?: string | undefined;
    packageJsonNodeEngine?: unknown;
    packageJsonType?: "commonjs" | "module" | undefined;
    prettierTabWidth?: number | undefined;
    languages?: unknown[] | undefined;
    enableTranslation?: boolean | undefined;
    nativeLanguage?: string | undefined;
    incrementalChangelog?: boolean | undefined;
    skipFakeData?: boolean | undefined;
    applicationType?: "monolith" | "microservice" | "gateway" | undefined;
    skipUserManagement?: boolean | undefined;
    cacheProvider?: string | undefined;
    enableSwaggerCodegen?: boolean | undefined;
    enableHibernateCache?: boolean | undefined;
    searchEngine?: string | undefined;
    skipCheckLengthOfIdentifier?: boolean | undefined;
    websocket?: string | undefined;
    reactive?: boolean | undefined;
    serverPort?: unknown;
    serviceDiscoveryType?: "no" | "eureka" | "consul" | undefined;
    jwtSecretKey?: string | undefined;
    authenticationType?: "session" | "jwt" | "oauth2" | undefined;
    feignClient?: boolean | undefined;
    syncUserWithIdp?: boolean | undefined;
    defaultPackaging?: "jar" | "war" | undefined;
    databaseType?: "sql" | "mongodb" | "cassandra" | "couchbase" | "neo4j" | "no" | undefined;
    messageBroker?: "no" | "kafka" | "pulsar" | undefined;
    databaseMigration?: "liquibase" | undefined;
    graalvmSupport?: boolean | undefined;
    routes?: unknown[] | undefined;
    prodDatabaseType?: "mysql" | "mariadb" | "postgresql" | "mssql" | "oracle" | undefined;
    devDatabaseType?: string | undefined;
}>(yoRcPath?: string) => YoRcContent<Content>;
export declare const readCurrentPathYoRcFile: <Content = {
    jhipsterVersion?: string | undefined;
    baseName: string;
    creationTimestamp?: number | undefined;
    lastLiquibaseTimestamp?: number | undefined;
    blueprints?: {
        name: string;
    }[] | undefined;
    testFrameworks?: string[] | undefined;
    microfrontends?: {
        baseName: string;
    }[] | undefined;
    skipClient?: boolean | undefined;
    skipServer?: boolean | undefined;
    jhiPrefix?: string | undefined;
    entitySuffix?: string | undefined;
    dtoSuffix?: string | undefined;
    pkType?: string | undefined;
    clientPackageManager?: string | undefined;
    jdlStore?: string | undefined;
    skipJhipsterDependencies?: boolean | undefined;
    clientFramework?: "no" | "angular" | "react" | "vue" | undefined;
    clientTheme?: string | undefined;
    clientThemeVariant?: string | undefined;
    clientBundler?: "webpack" | "vite" | undefined;
    microfrontend?: boolean | undefined;
    clientTestFrameworks?: "cypress" | undefined;
    withAdminUi?: boolean | undefined;
    clientRootDir?: string | undefined;
    monorepository?: boolean | undefined;
    packageName?: string | undefined;
    packageFolder?: string | undefined;
    withGeneratedFlag?: boolean | undefined;
    buildTool?: string | undefined;
    packageJsonNodeEngine?: unknown;
    packageJsonType?: "commonjs" | "module" | undefined;
    prettierTabWidth?: number | undefined;
    languages?: unknown[] | undefined;
    enableTranslation?: boolean | undefined;
    nativeLanguage?: string | undefined;
    incrementalChangelog?: boolean | undefined;
    skipFakeData?: boolean | undefined;
    applicationType?: "monolith" | "microservice" | "gateway" | undefined;
    skipUserManagement?: boolean | undefined;
    cacheProvider?: string | undefined;
    enableSwaggerCodegen?: boolean | undefined;
    enableHibernateCache?: boolean | undefined;
    searchEngine?: string | undefined;
    skipCheckLengthOfIdentifier?: boolean | undefined;
    websocket?: string | undefined;
    reactive?: boolean | undefined;
    serverPort?: unknown;
    serviceDiscoveryType?: "no" | "eureka" | "consul" | undefined;
    jwtSecretKey?: string | undefined;
    authenticationType?: "session" | "jwt" | "oauth2" | undefined;
    feignClient?: boolean | undefined;
    syncUserWithIdp?: boolean | undefined;
    defaultPackaging?: "jar" | "war" | undefined;
    databaseType?: "sql" | "mongodb" | "cassandra" | "couchbase" | "neo4j" | "no" | undefined;
    messageBroker?: "no" | "kafka" | "pulsar" | undefined;
    databaseMigration?: "liquibase" | undefined;
    graalvmSupport?: boolean | undefined;
    routes?: unknown[] | undefined;
    prodDatabaseType?: "mysql" | "mariadb" | "postgresql" | "mssql" | "oracle" | undefined;
    devDatabaseType?: string | undefined;
}>() => YoRcContent<Content> | undefined;
